## yorick 2.2.04%2Bdfsg1

=== fft/Makefile ===
# $Id: Makefile,v 1.1 2005-09-18 22:04:52 dhmunro Exp $
SHELL=/bin/sh
MAKE=make
include ../Make.cfg

CFLAGS=$(COPTIONS) -I../play
COPTIONS=$(COPT) $(Y_CFLAGS)
COPT=$(COPT_DEFAULT)

OBJS=cfft2.o cfftb.o cfftf.o cffti.o roll2.o

all: $(OBJS)

libyor: $(OBJS)
	touch $@

oinsert: $(OBJS) ../yorick/libyor.a
	$(AR) r ../yorick/libyor.a $(OBJS)

config:
	@:

clean::
	rm -f *~ '#'* *.o *.a core* *.core a.out libyor

distclean:: clean


cffti.o: cfft.h ../play/plugin.h
cfftf.o: cfft.h ../play/plugin.h
cfftb.o: cfft.h ../play/plugin.h
cfft2.o: cfft.h ../play/plugin.h
roll2.o: cfft.h ../play/plugin.h

=== gist/Makefile ===
# $Id: Makefile,v 1.1 2005-09-18 22:04:19 dhmunro Exp $
SHELL=/bin/sh
MAKE=make
X11OBJS=xfancy.o xbasic.o
include ../Make.cfg

CFLAGS=$(COPTIONS) -I. -I../play
CCLOAD=$(CC) $(LDOPTIONS) $(LDFLAGS)
SYS_LIBS=$(X11LIB) $(MATHLIB) $(FPELIB)
COPTIONS=$(COPT) $(Y_CFLAGS)
LDOPTIONS=$(COPT) $(Y_LDFLAGS)
COPT=$(COPT_DEFAULT)

D_GISTPATH='-DGISTPATH="~/gist:~/Gist:$(Y_SITE)/g"'

OBJS=gist.o tick.o tick60.o engine.o gtext.o draw.o draw0.o clip.o \
  gread.o gcntr.o hlevel.o ps.o cgm.o $(X11OBJS)
BOBJS=browser.o cgmin.o eps.o

all: gist

# always check to see whether ../play/libplay.a needs to be rebuilt
libgist:
	@cd ../play; $(MAKE) "COPT=$(COPT)"
	@$(MAKE) "COPT=$(COPT)" libgist.a

../play/libplay.a:
	@cd ../play; $(MAKE) "COPT=$(COPT)" libplay

libgist.a: ../play/libplay.a $(OBJS)
	cp ../play/libplay.a $@
	$(AR) r $@ $(OBJS)
	$(RANLIB) $@

gist: libgist.a $(BOBJS) main.o
	$(CCLOAD) -o $@ main.o $(BOBJS) -L. -lgist $(SYS_LIBS)

# libpyg target is for pygist
libpyg: libgist
	@$(MAKE) "COPT=$(COPT)" ../libpyg.a

../libpyg.a: libgist.a
	cp libgist.a ../libpyg.a
	$(RANLIB) ../libpyg.a

bench: libgist bench.o main.o
	$(CCLOAD) -o $@ main.o bench.o -L. -lgist $(SYS_LIBS)

main.c: ../play/$(Y_MAIN_C)
	cp ../play/$(Y_MAIN_C) main.c

clean::
	rm -f *~ '#'* *.o *.a core* *.core a.out main.c gist bench

distclean:: clean
	rm -f .gdb*

config:
	@:

# ------------- dependencies -------------

# cgm.h: gist.h engine.h
# draw.h: gist.h
# engine.h: gist.h
# gtext.h: gist.h
# hlevel.h: gist.h
# ps.h: gist.h engine.h
# xbasic.h: gist.h engine.h play.h
# xfancy.h: xbasic.h

PLUGEXT=../play/plugin.h
PLAY_H=../play/play.h $(PLUGEXT)
PSLIB=../play/pstdlib.h $(PLUGEXT)
PSLIO=../play/pstdlib.h ../play/pstdio.h $(PLUGEXT)
PLAYIO=../play/play.h ../play/pstdio.h $(PLUGEXT)
PSPLAY=../play/pstdlib.h ../play/play.h $(PLUGEXT)
PLAYALL=../play/play.h ../play/pstdlib.h ../play/pstdio.h $(PLUGEXT)

cgm.o: cgm.h gtext.h $(PLAYALL)  gist.h engine.h
clip.o: clip.h $(PSLIB)
draw.o: draw.c draw.h gtext.h $(PSLIB)  gist.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(NO_EXP10) -c draw.c
draw0.o: draw.h gtext.h $(PSPLAY)  gist.h
engine.o: engine.h gist.h draw.h $(PSLIB)
gcntr.o: gist.h
gist.o: gist.h engine.h clip.h $(PSPLAY)
gread.o: gread.c gist.h $(PLAYALL)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_GISTPATH) -c gread.c
gtext.o: gtext.h  gist.h
hlevel.o: hlevel.h xbasic.h engine.h $(PLAYIO)  gist.h
ps.o: ps.h gtext.h $(PLAYIO)  gist.h engine.h
tick.o: tick.c gist.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(NO_EXP10) -c tick.c
tick60.o: gist.h
xbasic.o: xbasic.h gtext.h $(PLAYIO)  gist.h engine.h
xfancy.o: xfancy.c xfancy.h draw.h  gist.h xbasic.h engine.h $(PLAY_H)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(NO_EXP10) -c xfancy.c

browser.o: xbasic.h cgm.h cgmin.h eps.h   gist.h engine.h $(PLAYALL)
cgmin.o: cgmin.h engine.h $(PLAYALL)   gist.h
eps.o: eps.h ps.h gtext.h $(PSLIO)   gist.h engine.h

bench.o: hlevel.h xfancy.h $(PLAYALL)  gist.h xbasic.h engine.h

# Always compile main.c with -g so new packages can be debugged.
main.o: main.c
	$(CC) $(CPPFLAGS) -I../play -g -c main.c

=== play/any/Makefile ===
# $Id: Makefile,v 1.2 2009-05-22 04:02:26 dhmunro Exp $
SHELL=/bin/sh
MAKE=make
include ../../Make.cfg

COPT=$(COPT_DEFAULT)
CFLAGS=$(COPT) $(Y_CFLAGS) -I. -I.. $(PLAY_INCS) $(HACK_FLAGS)
CCLOAD=$(CC) $(COPT) $(Y_LDFLAGS)

OBJS=hash.o hash0.o hashctx.o hashid.o mm.o mminit.o \
  alarms.o pmemcpy.o pstrcpy.o pstrncat.o p595.o \
  bitrev.o bitlrot.o bitmrot.o pstdio.o psoftfpe.o

all: libplay

libplay: $(OBJS)
	$(AR) rc ../libplay.a $(OBJS)
	$(RANLIB) ../libplay.a
	touch $@

EXE_FILES=numfmt test2d hashtest
clean::
	rm -f *~ '#'* *.o *.a main.c core* *.core a.out $(EXE_FILES) libplay

distclean:: clean
	rm -f .gdb*



numfmt: numfmt.c
	$(CC) -g -o $@ numfmt.c

test2d: main.o test2d.o ../libplay.a
	$(CCLOAD) -o $@ main.o test2d.o -L.. -lplay $(X11LIB)

test: test2d

hashtest: hashtest.o ../libplay.a
	$(CCLOAD) -o $@ hashtest.o -L.. -lplay

PLUGEXT=../plugin.h

hash.o: $(PLAY_CFG)/config.h ../phash.h ../pstdlib.h $(PLUGEXT)
hash0.o: $(PLAY_CFG)/config.h ../phash.h $(PLUGEXT)
hashctx.o: $(PLAY_CFG)/config.h ../phash.h $(PLUGEXT)
hashid.o: $(PLAY_CFG)/config.h ../phash.h ../pstdlib.h $(PLUGEXT)

mm.o: $(PLAY_CFG)/config.h ../pstdlib.h $(PLUGEXT)
mminit.o: $(PLAY_CFG)/config.h ../pstdlib.h $(PLUGEXT)
pfrall.o: $(PLAY_CFG)/config.h ../pstdlib.h $(PLUGEXT)

alarms.o: $(PLAY_CFG)/config.h ../play.h ../pstdlib.h $(PLUGEXT)

pmemcpy.o: $(PLAY_CFG)/config.h ../pstdlib.h $(PLUGEXT)
pstrcpy.o: $(PLAY_CFG)/config.h ../pstdlib.h $(PLUGEXT)
pstrncat.o: $(PLAY_CFG)/config.h ../pstdlib.h $(PLUGEXT)

bitrev.o: $(PLAY_CFG)/config.h ../play.h $(PLUGEXT)
bitlrot.o: $(PLAY_CFG)/config.h ../play.h $(PLUGEXT)
bitmrot.o: $(PLAY_CFG)/config.h ../play.h $(PLUGEXT)
p595.o: ../play.h $(PLUGEXT)

pstdio.o: $(PLAY_CFG)/config.h ../pstdio.h $(PLUGEXT)

psoftfpe.o: $(PLAY_CFG)/config.h ../play.h $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_HAS_FENV_H) -c psoftfpe.c

test2d.o: ../play.h ../pstdlib.h ../pstdio.h $(PLUGEXT)
hashtest.o: ../phash.h ../pstdlib.h ../pstdio.h $(PLUGEXT)

main.o: main.c ../play.h $(PLUGEXT)
main.c: ../$(Y_MAIN_C)
	cp ../$(Y_MAIN_C) main.c

=== play/hacks/Makefile ===
# $Id: Makefile,v 1.1 2005-09-18 22:05:45 dhmunro Exp $
SHELL=/bin/sh
MAKE=make
include ../../Make.cfg

CFLAGS=$(COPTIONS) -I. -I.. -I../unix -I../x11
CCLOAD=$(CC) $(LDOPTIONS) $(LDFLAGS)

OBJS=$(HACK_OBJS)

all: $(OBJS)

clean::
	rm -f *~ '#'* *.o *.a core* *.core ../hack103.h

distclean:: clean

hack103.o: ../hack103.h hack103.c
	gcc -o hack103.o -c hack103.c
	$(AR) rc ../libplay.a $(OBJS)
	$(RANLIB) ../libplay.a

../hack103.h: hack103.h
	rm -f ../hack103.h
	cp hack103.h ..

=== debian/changelog ===
yorick (2.2.04+dfsg1-5ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <brian@ubuntu.com>  Tue, 10 Jul 2018 12:04:31 -0700

yorick (2.2.04+dfsg1-5) unstable; urgency=medium

  * Update list of architectures for each MPI variant;
  * Check against standards version 3.0.7;
  * Fix typo in manpage for dh_installyorick;
  * Update Vcs-Git URL to use https.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 15 Feb 2016 15:14:41 +0100

yorick (2.2.04+dfsg1-4) unstable; urgency=medium

  [ Anton Gladky ]
  * Team upload.
  * [ca665bf] Replace mpich2 by mpich. (Closes: #808979)
  * [3ae4112] Apply cme fix dpkg-control.

  [ Bart Martens ]
  * [82ce3ae] Update d/watch.

 -- Anton Gladky <gladk@debian.org>  Mon, 28 Dec 2015 20:29:21 +0100

yorick (2.2.04+dfsg1-3) unstable; urgency=low

  * Bug fix: "unowned directories in /usr/local after purge (policy 6.8
    and 9.1.2): /usr/local/lib/yorick/", thanks to Andreas Beckmann
    (Closes: #787837).

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 08 Jun 2015 15:38:29 +0200

yorick (2.2.04+dfsg1-2) unstable; urgency=low

  * Include autopkgtest suite;
  * Also run X11 tests during build (in xfb-run);
  * Get rid of texi2html build-dep;
  * Separate Build-Depends-Indep and split build-indep target;
  * Patch build system to make it reproducible.

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 21 May 2015 22:16:05 +0200

yorick (2.2.04+dfsg1-1) unstable; urgency=low

  * New upstream release (with same version, hence bumping the dfsg
    repacking level). Contains our fix from 2.2.04+dfsg-2.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 20 May 2015 10:01:36 +0200

yorick (2.2.04+dfsg-3) unstable; urgency=low

  * Build MPY on pp64el.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 19 May 2015 17:07:16 +0200

yorick (2.2.04+dfsg-2) unstable; urgency=low

  * Fix segfault at startup when yorick is not in the first directory of
    the PATH variable (Closes: #785692).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 19 May 2015 10:41:54 +0200

yorick (2.2.04+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 18 May 2015 15:08:39 +0200

=== debian/control ===
Source: yorick
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Section: science
Testsuite: autopkgtest
Priority: extra
Build-Depends: libx11-dev,
               texinfo,
               debhelper (>= 7.0.0),
               quilt,
               po-debconf,
               libopenmpi-dev [alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64 x32],
               libmpich-dev [alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32],
               xvfb,
               xauth,
               xfonts-base
Build-Depends-Indep: imagemagick
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/yorick.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/yorick.git
Homepage: http://yorick.sourceforge.net

Package: yorick
Architecture: any
Depends: yorick-data (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         debconf
Recommends: rlwrap,
            yorick-z
Suggests: yorick-full,
          yorick-dbg,
          yorick-mpy-openmpi | yorick-mpy-mpich2,
          emacsen,
          curl
Description: interpreted language and scientific graphics
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The language features a compact syntax for many common array
 operations, so it processes large arrays of numbers very quickly and
 efficiently.  Superficially, yorick code resembles C code, but yorick
 variables are never explicitly declared and have a dynamic scoping
 similar to many Lisp dialects.  The yorick language is designed to be
 typed interactively at a keyboard, as well as stored in files for
 later use.
 .
 This package includes an emacs-based development environment, which
 you can launch by typing M-x yorick in emacs.
 .
 Many add-on packages and plug-ins are available for Yorick (the
 package names begin with "yorick-"). You may want to install the
 yorick-full metapackage which depends on the vast majority of them.

Package: yorick-dbg
Architecture: any
Section: debug
Depends: yorick (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for Yorick
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 This package contains the debugging symbols for the yorick
 executable.

Package: yorick-data
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yorick (>= ${source:Version})
Description: interpreted library for the Yorick language
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The yorick-data package contains all the architecture-independent data, which
 is mostly the standard interpreted library.

Package: yorick-dev
Architecture: any
Depends: yorick (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: development files for the Yorick interpreted language
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The yorick-dev package contains the files needed to compile (or package)
 plug-ins or custom `yorick' executables.

Package: yorick-mpy-mpich2
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
Depends: yorick (= ${binary:Version}),
         yorick-mpy-common (= ${source:Version}),
         mpich,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Message Passing Yorick (MPICH2 build)
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The MPY is a parallel version of Yorick based on the Message Passing
 Interface (MPI). This package contains a build of MPY linked against
 MPICH2.

Package: yorick-mpy-openmpi
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64 x32
Depends: yorick (= ${binary:Version}),
         yorick-mpy-common (= ${source:Version}),
         openmpi-bin,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Message Passing Yorick (OpenMPI build)
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The MPY is a parallel version of Yorick based on the Message Passing
 Interface (MPI). This package contains a build of MPY linked against
 OpenMPI.

Package: yorick-mpy-common
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yorick-mpy-openmpi (>= ${source:Version}) | yorick-mpy-mpich2 (>= ${source:Version})
Description: Message Passing Yorick (common files)
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The MPY is a parallel version of Yorick based on the Message Passing
 Interface (MPI). This package contains the files common to all
 builds of MPY.

Package: yorick-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yorick
Description: documentation for the Yorick interpreted language
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The Yorick package ships with little documentation: a manpage, the
 Yorick Manual in info format, and its own "help" command. This
 package adds the Yorick Manual and Quick Reference in PDF and HTML
 format and a utility (update-yorickdoc) to build HTML documentation
 for the set of functions (from Yorick and add-on packages) installed
 on this machine. By default, these pages are built and updated
 automatically whenever necessary.
 .
 Once this package is installed, simply point your preferred web
 browser to file:///usr/share/doc/yorick-doc/README.html .

Package: yorick-full
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         yorick,
         yorick-dev,
         yorick-doc,
         yorick-av [!ia64 !s390],
         yorick-cubeview,
         yorick-curses,
         yorick-gl,
         yorick-gy,
         yorick-gyoto,
         yorick-hdf5,
         yorick-imutil,
         yorick-mira,
         yorick-ml4,
         yorick-mpeg,
         yorick-optimpack,
         yorick-soy,
         yorick-spydr,
         yorick-svipc,
         yorick-yao,
         yorick-yeti,
         yorick-yeti-fftw,
         yorick-yeti-regex,
         yorick-yeti-tiff,
         yorick-ygsl,
         yorick-ynfft,
         yorick-yutils,
         yorick-z
Suggests: yorick-mpy-openmpi | yorick-mpy-mpich2
Description: full installation of the Yorick interpreter and add-ons
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The yorick-full metapackage installs Yorick together with the full set
 of add-ons packaged for Debian.
 .
 You may prefer to only install the yorick package and cherry-pick the
 yorick-* add-ons you need.
 .
 If you need MPY, the MPI parallel version of Yorick, please install
 either yorick-mpy-openmpi or yorick-mpy-mpich2 in addition.

## yorick 2.2.04+dfsg1

=== hex/Makefile ===
# $Id: Makefile,v 1.2 2007-03-25 15:36:32 dhmunro Exp $
# similar to any yorick package Makefile

COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package
Y_MAKEDIR=..
Y_EXE=../yorick/yorick$(EXE_SFX)
PKG_NAME=hex
PKG_EXENAME=yorick
PKG_I=hex.i

OBJS=yhex.o hex5.o hex24.o hex.o regul.o tools.o store.o hydram.o

PKG_CLEAN=../i0/hex.i ../i/ylmdec.i

# in ordinary yorick packages, these dependencies unnecessary
# they appear here because this package is part of baseline yorick
H_DEPS=../play/plugin.h
H_YDATA=../yorick/ydata.h ../yorick/binio.h ../yorick/hash.h
H_YWRAP=../play/play.h $(H_YDATA) $(H_DEPS)
H_YHEX=../yorick/yio.h $(H_YDATA) ../play/pstdlib.h ../play/pstdio.h $(H_DEPS)

# ------------------------------------ standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
PKG_I_DEPS=$(PKG_I)

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros set by Makepkg used in rules (because yorick not installed)
Y_IDIR=-I. -I../play -I../yorick
Y_LIBEXE=../yorick
Y_EXE=../yorick/yorick$(EXE_SFX)

# ------------------------------------- targets and rules for this package

yhex.o: hex.h  tools.h
hex5.o: hex.h  tools.h
hex.o: hex.h  tools.h
tools.o: tools.h
store.o: tools.h
hydram.o: hydram.h hex.h  tools.h

../i0/hex.i: hex.i
	cp -f hex.i ../i0/hex.i
../i/ylmdec.i: ylmdec.i
	cp ylmdec.i ../i/ylmdec.i

# if drat and hex are to be statically linked,
# their static libraries must be built before yorick
preexe: $(PKG_LIB) ../i0/hex.i ../i/ylmdec.i
predll:
	@:

# if drat and hex are to be dynamically linked,
# their dynamic libraries must be built after yorick
postdll: $(PKG_DLL) ../i0/hex.i ../i/ylmdec.i
postexe:
	@:

hex.doc:
	echo 'mkdoc,["hex.i","hydra.i"],"hex.doc";quit' | $(Y_EXE) -imkdoc.i

#-------------------------------------- end of Makefile

=== mpy/Makefile ===
# Makefile for MPY = Message Passing Yorick based on the MPI standard

Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=
Y_HOME_PKG=

# note: to be fully scalable, mpy cannot use dll packages; all
# packages should be statically linked via Y_EXE_PKGS or EXTRA_PKGS

# mpy needs custom main.c, assume this directory is a
# sibling of the play/ directory in the distribution
Y_MAIN_SRC=../play/$(Y_MAIN_C)
Y_MAIN_SRC=$(Y_EXE_HOME)/../play/$(Y_MAIN_C)

#Y_MAKEMPY=$(Y_MAKEDIR)/Makempy
Y_MAKEMPY=./Makempy

# ----------------------------------------------------- optimization flags

COPT=$(COPT_DEFAULT)
#TGT=$(DEFAULT_TGT)
TGT=exe

# ------------------------------------------------ macros for this package

PKG_NAME=mpy
PKG_I=mpy.i

OBJS=mpy.o mpyfile.o

PKG_EXENAME=mpy

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=
# set compiler flags specific to this package
PKG_CFLAGS=$(MPI_CFLAGS)
PKG_LDFLAGS=$(MPI_LDFLAGS)

EXTRA_PKGS=$(Y_EXE_PKGS)

PKG_CLEAN=

PKG_I_START=
PKG_I_EXTRA=custommp.i testmp.i mpool.i mpy1.i

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake
EXE_TARGETS=mpymain.o paths.i

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Makeexe

# override macros Makepkg sets for rules and other macros
Y_MAIN_O=mpymain.o

# this overrides CC and FC macros, provides MPI_CFLAGS
include $(Y_MAKEMPY)

# above appropriate for TGT=dll, below because this is TGT=exe
Y_BINDIR=$(Y_EXE_HOME)/bin
Y_LIBEXE=$(Y_EXE_HOME)/lib
Y_INCLUDE=$(Y_EXE_HOME)/include
DEST_Y_SITE=$(DESTDIR)$(Y_EXE_SITE)
DEST_Y_HOME=$(DESTDIR)$(Y_EXE_HOME)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = /usr/lib/yorick/1.5/protect-against-1.5

# ------------------------------------- targets and rules for this package

# override on_launch callback with scalable MPI version
D_ON_LAUNCH=-Don_launch=mpy_on_launch
# always compile main.c with -g so new packages can be debugged
mpymain.o: mpymain.c
	$(CC) $(CPPFLAGS) $(D_ON_LAUNCH) -g $(Y_IDIR) -o $@ -c mpymain.c
mpymain.c: $(Y_MAIN_SRC)
	cp $(Y_MAIN_SRC) mpymain.c

# need paths.i to be able to run TGT=exe in this directory
# after install it is not needed
paths.i:
	echo >paths.i 'set_site,"$(Y_EXE_SITE)","$(Y_EXE_HOME)";include,"$(Y_EXE_SITE)/i0/paths.i",1;'

install:: Makempy mpy.h mpymain.o
	$(YNSTALL) Makempy "$(DEST_Y_HOME)"
	$(YNSTALL) mpy.h "$(DEST_Y_HOME)/include"
	$(YNSTALL) mpymain.o "$(DEST_Y_HOME)/lib"

uninstall::
	rm -f "$(DEST_Y_HOME)/Makempy"
	rm -f "$(DEST_Y_HOME)/include/mpy.h"
	rm -f "$(DEST_Y_HOME)/lib/mpymain.o"

clean::
	rm -f mpymain.* paths.i

distclean::
	rm -f Makempy

# -------------------------------------------------------- end of Makefile

=== yorick/Makefile ===
# $Id: Makefile,v 1.6 2010-08-13 09:46:16 thiebaut Exp $
# similar to any yorick package Makefile

# ------------------------------------------------ macros for yor base package
COPT=$(COPT_DEFAULT)
Y_MAKEDIR=..
Y_EXE=./yorick$(EXE_SFX)
PKG_NAME=yor
PKG_EXENAME=yorick
PKG_I=std.i matrix.i fft.i graph.i
PKG_I_DEPS=../i0/std.i ../i0/matrix.i ../i0/fft.i ../i0/graph.i
PKG_I_DIR=-I../i0

OBJS = opsv.o task.o yorick.o yinput.o parse.o ydata.o yapi.o yio.o fnctn.o \
  array.o range.o ops.o ops0.o ops1.o ops2.o ops3.o nonc.o debug.o \
  std0.o std1.o std2.o ascio.o defmem.o yhash.o  yrdwr.o bcast.o binio.o \
  binobj.o binstd.o cache.o convrt.o binpdb.o clog.o ystr.o graph.o fwrap.o \
  graph0.o style.o list.o pathfun.o autold.o funcdef.o spawn.o fortrn.o oxy.o \
  mdigest.o socky.o

PKG_CLEAN=libyor main.* prmtyp.h codger$(EXE_SFX) lib$(PKG_NAME).a $(PKG_EXENAME) yorapi*

PLAPI=../play/plugin.h
PLAYONLY=../play/play.h $(PLAPI)

DIST_LIBS=-L../drat -ldrat -L../hex -lhex
DIST_DIRS=../drat ../hex
# Make.cfg sets IF_TGT according to DEFAULT_TGT
IF_EXE=drat hex
IF_DLL=

# ------------------------------------ standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
H_YWRAP=$(PLAYONLY) ydata.h yapi.h binio.h hash.h
CODGER_DEP=codger$(EXE_SFX)
EXE_TARGETS=main.o $(YWIN_LIB) prepkg
LIB_TARGETS=libyor
ALL_TARGETS=postpkg
TGT=exe

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros set by Makepkg used in rules (because yorick not installed)
Y_MAIN_O=main.o
Y_IDIR=-I. -I../play -I../gist
Y_LIBEXE=.
Y_LDIR=-L../drat -L../hex
PKG_L_OPT=-L.
ARFLAGS=r
EXTRA_LIBS=$(ALT_LIBS)
EXTRA_PKGS=$(IF_TGT)

# hack combines gist, matrix, and fft libs into a single libyor.a
# (this does not get inter-directory dependencies absolutely correct)
BUILTIN_PKGS=../gist/libgist.a ../regexp/libyor ../matrix/libyor ../fft/libyor
libyor: $(BUILTIN_PKGS)
	@rm -f $(PKG_LIB)
	cp ../gist/libgist.a $(PKG_LIB)
	cd ../regexp; $(MAKE) "COPT=$(COPT)" oinsert
	cd ../matrix; $(MAKE) "COPT=$(COPT)" oinsert
	cd ../fft; $(MAKE) "COPT=$(COPT)" oinsert
	touch $@
../gist/libgist.a:
	@cd ../gist; $(MAKE) "COPT=$(COPT)" libgist.a
../regexp/libyor:
	@cd ../regexp; $(MAKE) "COPT=$(COPT)" libyor
../matrix/libyor:
	@cd ../matrix; $(MAKE) "COPT=$(COPT)" libyor
../fft/libyor:
	@cd ../fft; $(MAKE) "COPT=$(COPT)" libyor

# MSWindows and AIX need yorapi.def for plugins to work (see ../yorapi.sh)
yorapi.def:
	cd ..; ./yorapi.sh; mv yorapi.def yorick/

# if drat and hex are to be statically linked,
# their static libraries must be built before yorick
M_V1="TGT=exe" pre$(DISTRIB_TGT)
prepkg:
	@for d in $(DIST_DIRS); do ( cd $$d; $(MAKE) "COPT=$(COPT)" $(M_V1); ); done

# if drat and hex are to be dynamically linked,
# their dynamic libraries must be built after yorick
M_V2="TGT=dll" post$(DISTRIB_TGT)
postpkg: $(PKG_EXE)
	@for d in $(DIST_DIRS); do ( cd $$d; $(MAKE) "COPT=$(COPT)" $(M_V2); ); done

# two colons means these rules appended to Makepkg rule
clean::
	@for d in $(DIST_DIRS); do ( cd $$d; $(MAKE) TGT=exe clean; ); done
distclean::
	@for d in $(DIST_DIRS); do ( cd $$d; $(MAKE) TGT=exe distclean; ); done

# ------------------------------------- targets and rules for yor base package
# ydata.h: yapi.h binio.h hash.h
# binio.h: hash.h
# yio.h: hash.h pstdio.h
# defmem.h: pstdlib.h
# bcast.h: ydata.h   binio.h hash.h
HSHAPI=hash.h ../play/plugin.h
HSH=hash.h
YDATA_H=ydata.h yapi.h binio.h $(HSHAPI)
YDATA_HP=ydata.h yapi.h binio.h $(HSH)
HGIST=../gist/gist.h ../gist/hlevel.h
PSLIB=../play/pstdlib.h $(PLAPI)
PSLIO=../play/pstdlib.h ../play/pstdio.h $(PLAPI)
PSPLAY=../play/pstdlib.h ../play/play.h $(PLAPI)
PLAYALL=../play/play.h ../play/pstdlib.h ../play/pstdio.h $(PLAPI)

array.o: $(YDATA_H)
ascio.o: $(YDATA_HP) yio.h defmem.h $(PLAYALL)
autold.o: $(YDATA_HP) yio.h defmem.h $(PSLIO)
bcast.o: bcast.h   $(YDATA_H)
binio.o: $(YDATA_HP) yio.h defmem.h $(PSLIO)
binobj.o: bcast.h defmem.h $(PSLIB)   $(YDATA_HP)
binpdb.o: $(YDATA_HP) yio.h $(PSLIO)
binstd.o: binio.h $(PSLIB)   $(HSH)
cache.o: binio.h $(PSLIO)   $(HSH)
clog.o: $(YDATA_HP) yio.h $(PSLIO)
convrt.o: binio.h $(PSLIB)   $(HSH)
debug.o: $(YDATA_HP) yio.h $(PLAYALL)
defmem.o: defmem.h   $(PSLIB)
fnctn.o: $(YDATA_H) $(PLAYONLY)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_USE_SOFTFPE) -o $@ -c fnctn.c
fortrn.o: fortrn.c yasync.h $(PSLIB)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(FORTRAN_LINKAGE) -o $@ -c fortrn.c
graph.o: graph.c $(YDATA_HP) yio.h   $(PLAYALL) $(HGIST)
graph0.o: $(YDATA_H)
yhash.o: $(HSH) defmem.h $(PSLIB)
list.o: $(YDATA_H) defmem.h
mdigest.o: mdigest.h
nonc.o: nonc.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(NO_HYPOT) -o $@ -c nonc.c
ops.o: bcast.h $(PSPLAY)   ydata.h binio.h $(HSH)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_USE_SOFTFPE) -o $@ -c ops.c
ops0.o: $(YDATA_H)
ops1.o: $(YDATA_H)
ops2.o: $(YDATA_HP)   $(PSLIB)
ops3.o: bcast.h $(PSPLAY)   $(YDATA_HP)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_USE_SOFTFPE) -o $@ -c ops3.c
opsv.o: $(YDATA_HP) $(PSLIB) prmtyp.h
oxy.o: $(YDATA_HP) $(PSLIB) ../play/phash.h
parse.o: parse.h $(YDATA_HP) $(PSLIB)
pathfun.o: yio.h $(PSLIO)   $(HSH)
range.o: $(YDATA_HP) $(PSLIB)
socky.o: socky.c $(PSPLAY) yapi.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_NO_SOCKETS) -o $@ -c socky.c
std0.o: std0.c bcast.h yio.h defmem.h $(PLAYALL)   ydata.h binio.h $(HSH)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_Y_VERSION) -o $@ -c std0.c
std1.o: $(YDATA_HP) $(PSPLAY)
std2.o: mdigest.h $(YDATA_HP) yio.h $(PLAYALL)
style.o: style.c $(YDATA_HP) $(PSLIB) $(HGIST) ../gist/draw.h
task.o: $(YDATA_HP) yio.h yapi.h $(PLAYALL)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_USE_SOFTFPE) -o $@ -c task.c
yapi.o: $(YDATA_HP) yio.h bcast.h $(PSLIB)
ydata.o: bcast.h defmem.h $(PSLIB)   $(YDATA_HP)
yinput.o: yio.h parse.h $(HSH) $(PLAYALL)
yio.o: yio.h defmem.h $(YDATA_HP) $(PLAYALL)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_USE_SOFTFPE) -o $@ -c yio.c
yorick.o: yorick.c parse.h $(PSPLAY)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_NO_STRTOUL) -o $@ -c yorick.c
yrdwr.o: bcast.h $(PSLIB)   $(YDATA_HP)
YREH=../regexp/yfnmatch.h ../regexp/yregexp.h
ystr.o: ystr.c $(YREH) $(PSLIB) $(YDATA_HP)
	$(CC) $(CPPFLAGS) $(CFLAGS) -I../regexp -o $@ -c ystr.c

# codger code generator computes ywrap.c and yinit.c source files
CDG_FLAGS=$(CFLAGS)
codger$(EXE_SFX): codger.c
	$(CC) $(CPPFLAGS) $(CDG_FLAGS) $(FORTRAN_LINKAGE) -o codger$(EXE_SFX) codger.c

# numfmt computes binary number formats, results in prmtyp.h
prmtyp.h: ../play/any/numfmt ../play/any/numfmt.c
	../play/any/numfmt prmtyp.h
../play/any/numfmt:
	@cd ../play; $(MAKE) numfmt

# always compile main.c with -g so new packages can be debugged
main.o: main.c $(PLAYONLY)
	$(CC) $(CPPFLAGS) -g -I../play -o $@ -c main.c
main.c: ../play/$(Y_MAIN_C)
	cp ../play/$(Y_MAIN_C) main.c

config:
	./yconfig.sh

=== doc/html/Makefile ===
# $Id: Makefile,v 1.7 2010-07-19 08:08:33 thiebaut Exp $
# This file is part of Yorick and shares its BSD-type copyright.
# For the "manual" target, you need a recent texi2html that accepts
# "--split node". Mac users: The one in fink (1.64) is too old, get one from
# http://www.nongnu.org/texi2html/
include ../../Make.cfg
YORICK = ../../yorick/yorick$(EXE_SFX)
DESTDIR = /usr/local/share/doc/yorick
TEXI2HTML = texi2html -init_file html/texi2html.init -output yorick
#select mac or win version of ../README.html
PLATFORM=mac
BUILDDIR=compiled-doc/

all: html-doc

html-doc: html_xref manual refcard README.html README-install.html images css

css: $(BUILDDIR)doc/skull.css $(BUILDDIR)doc/style.css
$(BUILDDIR)doc/skull.css $(BUILDDIR)doc/style.css:
	mkdir -p $(BUILDDIR)doc/
	cp skull.css style.css $(BUILDDIR)doc/

images: $(BUILDDIR)doc/images/triangle3.jpg
$(BUILDDIR)doc/images/triangle3.jpg:
	mkdir -p $(BUILDDIR)doc/images
	cp -p images/*.* $(BUILDDIR)doc//images/

README-install.html: $(BUILDDIR)README.html
$(BUILDDIR)README.html:
	$(YORICK) -batch make-doc.i --to=$(BUILDDIR)doc/ ../README.html-$(PLATFORM)

html_xref: $(BUILDDIR)doc/html_xref/packages.html $(BUILDDIR)doc/html_xref/keywords-z.html
$(BUILDDIR)doc/html_xref/packages.html $(BUILDDIR)doc/html_xref/keywords-z.html:
	$(YORICK) -batch make-doc.i --to=$(BUILDDIR)doc/ html_xref

README.html: $(BUILDDIR)doc/README.html
$(BUILDDIR)doc/README.html:
	$(YORICK) -batch make-doc.i --to=$(BUILDDIR)doc/ extract_embedded

texi2html.init:
	$(YORICK) -batch make-doc.i texi2html.init

../refs.pdf:
	make -C .. refs.pdf
refcard: $(BUILDDIR)doc/refcard/index.html
$(BUILDDIR)doc/refcard/index.html: ../refs.pdf
	$(YORICK) -batch make-doc.i --to=$(BUILDDIR)doc/ refcard
	cp ../refs.pdf $(BUILDDIR)doc/refcard/refs.pdf

../yorick.pdf:
	make -C .. yorick.pdf
manual: $(BUILDDIR)doc/manual/yorick.html
$(BUILDDIR)doc/manual/yorick.html: ../yorick/yorick.html ../yorick.pdf
	mkdir -p $(BUILDDIR)doc/manual
	cp ../yorick/* ../yorick.pdf $(BUILDDIR)doc/manual

../yorick/yorick.html: texi2html.init
	cd ..; $(TEXI2HTML) yorick.tex

install: html-doc
	install -d $(DESTDIR)
	cp -a $(BUILDDIR)* $(DESTDIR)

clean:
	rm -Rf compiled-doc texi2html.init ../yorick/ *~

distclean:: clean

.PHONY: all html-doc clean distclean install html_xref manual refcard README.html README-install.html images css

=== play/unix/Makefile ===
# $Id: Makefile,v 1.3 2010-02-28 21:32:23 dhmunro Exp $
SHELL=/bin/sh
MAKE=make
include ../../Make.cfg

COPT=$(COPT_DEFAULT)
CFLAGS=$(COPT) $(Y_CFLAGS) -I. -I..
COPTIONS=$(COPT) $(Y_CFLAGS)
LDOPTIONS=$(COPT) $(Y_LDFLAGS)

OBJS=dir.o files.o fpuset.o handler.o pathnm.o slinks.o stdinit.o timeu.o \
  timew.o udl.o uevent.o ugetc.o uinbg.o usernm.o umain.o uspawn.o usock.o

all: libplay

libplay: $(OBJS)
	$(AR) rc ../libplay.a $(OBJS)
	$(RANLIB) ../libplay.a
	touch $@

config:
	CC="$(CC)" CFLAGS="$(Y_CFLAGS)" LDFLAGS="$(Y_LDFLAGS)" MATHLIB="$(MATHLIB)" ./config.sh

CLEANUP_LIST=cfg* config.0* fputest core* *.core a.out udltest.??*
clean::
	rm -f *~ '#'* *.o *.a $(CLEANUP_LIST) libplay

distclean:: clean
	rm -f config.h



PLUGEXT=../plugin.h

dir.o: config.h ../play.h playu.h ../pstdlib.h ../pstdio.h dir.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_DIR1) $(D_DIR2) -c dir.c
files.o: config.h ../pstdio.h ../pstdlib.h playu.h files.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_NO_PROCS) -c files.c
fpuset.o: config.h playu.h fpuset.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_FPUSET) -c fpuset.c
handler.o: config.h ../play.h playu.h ../pstdlib.h $(PLUGEXT)
pathnm.o: config.h ../play.h playu.h ../pstdlib.h pathnm.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_USERNM) -c pathnm.c
slinks.o: config.h playu.h ../pstdlib.h ../pstdio.h $(PLUGEXT)
stdinit.o: config.h ../play.h ../pstdlib.h ../pstdio.h playu.h $(PLUGEXT)
timeu.o: config.h ../play.h timeu.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_TIMEU) -c timeu.c
timew.o: config.h ../play.h timew.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_TIMEW) -c timew.c
udl.o: config.h ../pstdlib.h udl.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(PLUG_UDL) -c udl.c
uevent.o: config.h upoll.h upoll.c ../play.h playu.h ../pstdlib.h uevent.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_UEVENT) -c uevent.c
ugetc.o: config.h playu.h ugetc.h ../pmin.h $(PLUGEXT)
uinbg.o: config.h playu.h uinbg.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_UINBG1) $(D_UINBG2) -c uinbg.c
usernm.o: config.h ../play.h usernm.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_USERNM) -c usernm.c
umain.o: config.h ../play.h playu.h ../pstdlib.h $(PLUGEXT)
uspawn.o: config.h ../pstdio.h ../pstdlib.h ../play.h playu.h uspawn.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_NO_PROCS) -c uspawn.c
usock.o: config.h ../pstdlib.h ../play.h playu.h usock.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_NO_SOCKETS) -c usock.c

# this is the DL config test used in config.sh
YORICK_EXE=./cfg
LDEXE_OPTS=$(LDOPTIONS) $(LDFLAGS) -DTEST_PLUG $(PLUG_EXPORT) $(PLUG_UDL) -I.
CCSO_OPTS=$(CPPFLAGS) $(CFLAGS) $(PLUG_PIC)
LDSO_OPTS=$(LDOPTIONS) $(LDFLAGS) $(PLUG_SHARED)
udltest: config.c udltest.c Makefile
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDEXE_OPTS) -o cfg config.c $(PLUG_LIB)
	$(CC) $(CCSO_OPTS) -DTEST_SHARED -c udltest.c
	$(CC) $(LDSO_OPTS) -o udltest$(PLUG_SFX) $(PLUG_DEF) udltest.o
	./cfg

=== play/win/Makefile ===
# $Id: Makefile,v 1.1 2005-09-18 22:05:38 dhmunro Exp $
# for cygwin mingw

SHELL=/bin/sh
MAKE=make
include ../../Make.cfg

CFLAGS=$(COPTIONS) -I. -I..
COPTIONS=$(COPT) $(Y_CFLAGS)
LDOPTIONS=$(COPT) $(Y_LDFLAGS)
COPT=$(COPT_DEFAULT)

OBJS=dir.o files.o handler.o sigansi.o pathnm.o conterm.o timeu.o \
  timew.o usernm.o wpoll.o wdl.o wstdio.o cygapp.o cygmain.o \
  clips.o cursors.o ellipse.o feep.o getdc.o pals.o pcell.o pfill.o plines.o \
  points.o prect.o pscr.o ptext.o pwin.o wspawn.o

all: libplay

../playwin.h: playwin.h
	rm -f ../playwin.h
	cp playwin.h ..

libplay: $(OBJS) ../playwin.h
	$(AR) rc ../libplay.a $(OBJS)
	$(RANLIB) ../libplay.a
	touch $@

config:
	cp Make.win ../../Make.cfg

CLEANUP_LIST=cfg* config.0* fputest core* *.core a.out wdltest.??*
clean::
	rm -f *~ '#'* *.o *.a $(CLEANUP_LIST) libplay

distclean:: clean


PLUGEXT=../plugin.h

conterm.o: playw.h   ../play.h $(PLUGEXT)
cygapp.o: playw.h ../pstdlib.h   ../play.h $(PLUGEXT)
#cygmain.o:
dir.o: config.h playw.h ../pstdio.h ../pstdlib.h   ../play.h $(PLUGEXT)
files.o: config.h playw.h ../pstdio.h ../pstdlib.h   ../play.h $(PLUGEXT)
handler.o: playw.h ../pstdlib.h   ../play.h $(PLUGEXT)
pathnm.o: playw.h ../pstdlib.h   ../play.h $(PLUGEXT)
sigansi.o: playw.h ../pstdlib.h   ../play.h $(PLUGEXT)
timeu.o: ../play.h $(PLUGEXT)
timew.o: ../play.h $(PLUGEXT)
usernm.o: ../play.h ../pstdlib.h $(PLUGEXT)
wdl.o: config.h playw.h ../pstdlib.h   ../play.h $(PLUGEXT)
wpoll.o: playw.h ../pstdlib.h   ../play.h $(PLUGEXT)
wstdio.o: playw.h ../pstdlib.h   ../play.h $(PLUGEXT)

clips: playw.h   ../play.h $(PLUGEXT)
cursors: playw.h   ../play.h $(PLUGEXT)
ellipse.o: playw.h   ../play.h $(PLUGEXT)
feep.o: playw.h   ../play.h $(PLUGEXT)
getdc.o: playw.h ../pstdlib.h   ../play.h $(PLUGEXT)
pals.o: playw.h ../pstdlib.h   ../play.h $(PLUGEXT)
pcell.o: playw.h   ../play.h $(PLUGEXT)
pfill.o: playw.h   ../play.h $(PLUGEXT)
plines.o: playw.h   ../play.h $(PLUGEXT)
points.o: playw.h   ../play.h $(PLUGEXT)
prect.o: playw.h   ../play.h $(PLUGEXT)
pscr.o: playw.h ../pstdlib.h   ../play.h $(PLUGEXT)
ptext.o: playw.h ../pstdlib.h   ../play.h $(PLUGEXT)
pwin.o: playw.h ../pstdlib.h   ../play.h $(PLUGEXT)

#	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_UEVENT) -c uevent.c

# this is the DL config test used in config.sh
YORICK_EXE=./cfg
YORICK_DEF=wdltest.def
LDEXE_OPTS=$(LDOPTIONS) $(LDFLAGS) $(PLUG_EXPORT) -I.
CCSO_OPTS=$(CPPFLAGS) $(CFLAGS) $(PLUG_PIC)
LDSO_OPTS=$(LDOPTIONS) $(LDFLAGS) $(PLUG_SHARED)
wdltest: wdlmain.c wdltest.c Makefile
	$(CC) $(CPPFLAGS) $(CFLAGS) -c wdlmain.c
	$(CC) $(LDEXE_OPTS) -o cfg.exe wdlmain.o wdlmain.def
	$(CC) $(CCSO_OPTS) -c wdltest.c
	$(CC) $(LDSO_OPTS) -o wdltest$(PLUG_SFX) wdltest.o $(PLUG_DEF)
	./cfg

=== debian/changelog ===
yorick (2.2.04+dfsg1-12build3) noble; urgency=high

  * No change rebuild against libopenmpi3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:52:12 +0200

yorick (2.2.04+dfsg1-12build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:33:24 +0000

yorick (2.2.04+dfsg1-12build1) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:39:48 +0000

yorick (2.2.04+dfsg1-12) unstable; urgency=low

  * Bug fix: "flaky autopkgtest: ERROR (txtest) failed to open X display
    or create X window", thanks to Paul Gevers (Closes: #897236). (Mark
    test as flaky)

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 11 May 2020 11:56:53 +0200

yorick (2.2.04+dfsg1-11) unstable; urgency=low

  * Bug fix: "FTBFS: mpi.h:322:57: error: expected expression before
    ‘_Static_assert’", thanks to Lucas Nussbaum (Closes: #952104).

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 28 Feb 2020 13:41:53 +0100

yorick (2.2.04+dfsg1-10) unstable; urgency=low

  * Split yorick-full out of the yorick source package.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 09 Jan 2019 14:53:56 +0100

yorick (2.2.04+dfsg1-9) unstable; urgency=low

  * Reactivate build-time tests with a tweak to only open a window once.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 19 Mar 2018 20:40:40 +0100

yorick (2.2.04+dfsg1-8) unstable; urgency=low

  * Deactivate build-time test suite on arm64 armhf i386 ppc64el powerpc
    x32 because creating windows sometimes fail within xvfb-run. The
    problem does not seem to occur in a normal X server or in xpra.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 19 Mar 2018 09:25:08 +0100

yorick (2.2.04+dfsg1-7) unstable; urgency=low

  * Move YAO and Spydr from Depends to Suggests of yorick-full, because
    they both depend on python-gtk which is deprecated.
  * Bump debhelper compat version to 10.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 07 Feb 2018 10:45:31 +0100

yorick (2.2.04+dfsg1-6) unstable; urgency=low

  * Bug fix: "FTBFS: dpkg-shlibdeps: error: no dependency information
    found for /usr/lib/libmpich.so.12 (used by
    debian/yorick-mpy-mpich2/usr/lib/yorick/bin/mpy.mpich2)", thanks to
    Chris Lamb (Closes: #831406): introduce debian/shlibs.local.
  * Check against policy 3.9.8.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 09 Aug 2016 06:01:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
 Section: science
-Testsuite: autopkgtest
-Priority: extra
+Priority: optional
 Build-Depends: libx11-dev,
                texinfo,
-               debhelper (>= 7.0.0),
+               debhelper (>= 10.0.0),
                quilt,
                po-debconf,
                libopenmpi-dev [alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64 x32],
@@ -16,9 +15,9 @@
                xauth,
                xfonts-base
 Build-Depends-Indep: imagemagick
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/yorick.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/yorick.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/yorick
+Vcs-Git: https://salsa.debian.org/science-team/yorick.git
 Homepage: http://yorick.sourceforge.net
 
 Package: yorick
@@ -30,7 +29,6 @@
 Recommends: rlwrap,
             yorick-z
 Suggests: yorick-full,
-          yorick-dbg,
           yorick-mpy-openmpi | yorick-mpy-mpich2,
           emacsen,
           curl
@@ -55,21 +53,6 @@
  Many add-on packages and plug-ins are available for Yorick (the
  package names begin with "yorick-"). You may want to install the
  yorick-full metapackage which depends on the vast majority of them.
-
-Package: yorick-dbg
-Architecture: any
-Section: debug
-Depends: yorick (= ${binary:Version}),
-         ${misc:Depends}
-Description: debugging symbols for Yorick
- Yorick is an interpreted programming language for:
-  * scientific simulations or calculations
-  * postprocessing or steering large simulation codes
-  * interactive scientific graphics
-  * reading, writing, and translating large files of numbers
- .
- This package contains the debugging symbols for the yorick
- executable.
 
 Package: yorick-data
 Architecture: all
@@ -176,51 +159,3 @@
  .
  Once this package is installed, simply point your preferred web
  browser to file:///usr/share/doc/yorick-doc/README.html .
-
-Package: yorick-full
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         yorick,
-         yorick-dev,
-         yorick-doc,
-         yorick-av [!ia64 !s390],
-         yorick-cubeview,
-         yorick-curses,
-         yorick-gl,
-         yorick-gy,
-         yorick-gyoto,
-         yorick-hdf5,
-         yorick-imutil,
-         yorick-mira,
-         yorick-ml4,
-         yorick-mpeg,
-         yorick-optimpack,
-         yorick-soy,
-         yorick-spydr,
-         yorick-svipc,
-         yorick-yao,
-         yorick-yeti,
-         yorick-yeti-fftw,
-         yorick-yeti-regex,
-         yorick-yeti-tiff,
-         yorick-ygsl,
-         yorick-ynfft,
-         yorick-yutils,
-         yorick-z
-Suggests: yorick-mpy-openmpi | yorick-mpy-mpich2
-Description: full installation of the Yorick interpreter and add-ons
- Yorick is an interpreted programming language for:
-  * scientific simulations or calculations
-  * postprocessing or steering large simulation codes
-  * interactive scientific graphics
-  * reading, writing, and translating large files of numbers
- .
- The yorick-full metapackage installs Yorick together with the full set
- of add-ons packaged for Debian.
- .
- You may prefer to only install the yorick package and cherry-pick the
- yorick-* add-ons you need.
- .
- If you need MPY, the MPI parallel version of Yorick, please install
- either yorick-mpy-openmpi or yorick-mpy-mpich2 in addition.

=== debian/tests/control ===
Test-Command: xvfb-run yorick -batch testfull.i
Depends: yorick, xvfb, xauth, xfonts-base
Restrictions: flaky

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g,dversionmangle=s/\+dfsg\d*$// \
https://github.com/dhmunro/yorick/releases \
.*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|y(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
